package com.zhongzheng.modules.goods.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.course.bo.CourseQueryBo;
import com.zhongzheng.modules.course.vo.CourseVo;
import com.zhongzheng.modules.exam.bo.ExamNumberGoodsQueryBo;
import com.zhongzheng.modules.exam.vo.ExamNumberGoodsVo;
import com.zhongzheng.modules.goods.bo.GoodsQueryBo;
import com.zhongzheng.modules.goods.domain.Goods;
import com.zhongzheng.modules.goods.vo.GoodsVo;

import java.util.List;

/**
 * 商品Mapper接口
 *
 * @author hjl
 * @date 2021-10-12
 */
public interface GoodsMapper extends BaseMapper<Goods> {
    List<GoodsVo> selectList(GoodsQueryBo bo);
    GoodsVo selectDetail(Long goodsId);

    List<ExamNumberGoodsVo> listGoods(ExamNumberGoodsQueryBo bo);

    GoodsVo selectUserDetail(CourseQueryBo bo);

    Long getQuestionNum(Long goodsId);
}
